import Dialog from "./dialog";

export default class Entry {
	static async show(
		options?: Partial<{
			text: string;
			"entry-text": string;
			"hide-text": true;
			title: string;
			width: number;
			height: number;
		}>
	): Promise<string> {
		const dialog = new Dialog("entry", {
			...options,
			width: ((options?.width as unknown) as string)?.toString(),
			height: ((options?.height as unknown) as string)?.toString(),
		});
		await dialog.show();
		const answer = await dialog.getAnswer();
		return answer.output.split("\n")[0];
	}
}
