import Dialog from "./dialog";

export default class TextInfo {
	static async show(
		options: Partial<{
			text: string;
			editable: true;
			title: string;
			width: number;
			height: number;
		}>
	): Promise<string | null> {
		const dialog = new Dialog("text-info", {
			...options,
			editable: options.editable ? true : undefined,
			text: undefined,
			width: ((options?.width as unknown) as string)?.toString(),
			height: ((options?.height as unknown) as string)?.toString(),
		});
		await dialog.show();
		dialog.process.stdin.write(options.text || "");
		const answer = await dialog.getAnswer();
		if (answer.code === 0) {
			return answer.output;
		} else {
			return null;
		}
	}
}
